Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.interceptor.annotations
Class AnnotationParameterFilterIntereptor

    java.lang.Object
      com.opensymphony.xwork2.interceptor.AbstractInterceptor
          com.opensymphony.xwork2.interceptor.annotations.AnnotationParameterFilterIntereptor

All Implemented Interfaces:
  Interceptor, java.io.Serializable

    public class AnnotationParameterFilterIntereptor

extends AbstractInterceptor

Annotation based version of `ParameterFilterInterceptor`.

This `Interceptor` must be placed in the stack before the `ParametersInterceptor` When a parameter matches a field that is marked `Blocked` then it is removed from the parameter map.

If an `Action` class is marked with `BlockByDefault` then all parameters are removed unless a field on the Action exists and is marked with `Allowed`

Author:
  martin.gilday
See Also:
  Serialized Form

Constructor Summary
`AnnotationParameterFilterIntereptor()`

Method Summary
`java.lang.String` | `intercept(ActionInvocation invocation)` Override to handle interception

Methods inherited from class com.opensymphony.xwork2.interceptor.AbstractInterceptor
`destroy, init`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationParameterFilterIntereptor

    public AnnotationParameterFilterIntereptor()

Method Detail

### intercept

    public java.lang.String intercept(ActionInvocation invocation)
                               throws java.lang.Exception

  Description copied from class: `AbstractInterceptor`
  Override to handle interception

  Specified by:
    `intercept` in interface `Interceptor`
  Specified by:
    `intercept` in class `AbstractInterceptor`
  Parameters:
    `invocation` - the action invocation
  Returns:
    the return code, either returned from `ActionInvocation.invoke()`, or from the interceptor itself.
  Throws:
    `java.lang.Exception` - any system-level error, as defined in `Action.execute()`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2011 Apache Software Foundation. All Rights Reserved.